Subject: Re: [RFC] add extack errors for iptoken

From: Hongren Zheng <[email-masked]>
Date: Mon, 31 May 2021 13:26:23 +0800

On Sun, May 30, 2021 at 07:42:34PM -0700, Stephen Hemminger wrote:
> On Sat, 29 May 2021 14:31:56 +0800
> Hongren Zheng <[email-masked]> wrote:
> 
> > On Wed, Apr 28, 2021 at 08:55:08PM +0800, Hongren Zheng wrote:
> > > > Perhaps the following (NOT TESTED) kernel patch will show you how such error messages
> > > > could be added.  
> > > 
> > > Since this patch has been tested, and we have waited a long time for
> > > comments and there is no further response, I wonder if it is the time
> > > to submit this patch to the kernel.  
> > 
> > Is there any updates?
> > 
> > I'm not quite familiar with "RFC" procedure. Should I send this patch to
> > netdev mailing list with title "[PATCH] add extack errors for iptoken" now
> > (I suppose not), or wait for Stephen Hemminger sending it, or wait for
> > more comments?
> > 
> 
> The kernel changes is already upstream with this commit for 5.12 kernel
> 
> commit 3583a4e8d77d44697a21437227dd53fc6e7b2cb5
> Author: Stephen Hemminger <[email-masked]>
> Date:   Wed Apr 7 08:59:12 2021 -0700
> 
>     ipv6: report errors for iftoken via netlink extack
>     
>     Setting iftoken can fail for several different reasons but there
>     and there was no report to user as to the cause. Add netlink
>     extended errors to the processing of the request.
>     
>     This requires adding additional argument through rtnl_af_ops
>     set_link_af callback.
>     
>     Reported-by: Hongren Zheng <[email-masked]>

No wonder I did not receive this email and kept pinging in this thread.

My email address is [email-masked], not [email-masked]

Still thank you for getting this upstreamed!

>     Signed-off-by: Stephen Hemminger <[email-masked]>
>     Reviewed-by: David Ahern <[email-masked]>
>     Signed-off-by: David S. Miller <[email-masked]>